[projects/pld-ftp-admin] add to git
glen
glen at pld-linux.org
Sat Sep 5 22:16:29 CEST 2015
commit 79bfa5416570425373d966239f009097dacbb7ff
Author: Elan Ruusamäe <glen at pld-linux.org>
Date: Sun Aug 2 11:08:21 2015 +0300
add to git
wwwbin/checkrepo.sh | 15 +++++++++++++++
1 file changed, 15 insertions(+)
---
diff --git a/wwwbin/checkrepo.sh b/wwwbin/checkrepo.sh
new file mode 100755
index 0000000..f391039
--- /dev/null
+++ b/wwwbin/checkrepo.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# it's bash because mksh can do only 32bit arithemtic
+
+REPODIR=${1:-/home/pld/admins/th/ftp/test}
+
+i=0
+nn=
+ls -1 $REPODIR/SRPMS/RPMS | sed -rne "s/^((.+)-[^-]+-[^-]+\.src\.rpm)$/\1.info/p" | \
+while read pkg ; do
+ for f in `awk -F ':' -vD="$REPODIR/" '/file:/ { if ($0 ~ /-debuginfo-/) { print D $2 "/debuginfo/" $3 } else { print D $2 "/RPMS/" $3 }}' $REPODIR/SRPMS/.metadata/$pkg` ; do
+ if ! stat $f &>/dev/null ; then
+ echo "!!!: $pkg : $f" >&2
+ fi
+ done
+done
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/projects/pld-ftp-admin.git/commitdiff/79bfa5416570425373d966239f009097dacbb7ff
More information about the pld-cvs-commit
mailing list